<?php
/** 
*
* @package phpBB3
* @version $Id: bbcodes.php,v 1.002 2007/02/21 15:39:00 nedka Exp $
* @copyright (c) 2007 nedka (Nguyen Dang Khoa)
* @version $Id: boardbbcodes.php,v 1.0.0 2008/11/26 10:57:00 Stoker Exp $
* @copyright (c) 2008 Stoker (www.phpbb3bbcodes.com) 
* This mod is made by nedka, modified by Stoker 2008/11/12
* @license http://opensource.org/licenses/gpl-license.php GNU Public License 
*
*/

/**
* @ignore
*/
define('IN_PHPBB', true);
$phpbb_root_path = (defined('PHPBB_ROOT_PATH')) ? PHPBB_ROOT_PATH : './';
$phpEx = substr(strrchr(__FILE__, '.'), 1);
include($phpbb_root_path . 'common.' . $phpEx);

// Start session management
$user->session_begin();
$auth->acl($user->data);
$user->setup('common');

$start = request_var('start', 0);

    // How many bbcodes do we have?
    $sql = 'SELECT COUNT(bbcode_helpline) AS total_bbcodes
        FROM ' . BBCODES_TABLE . "
          WHERE bbcode_helpline != ''
       ORDER BY bbcode_tag ASC";
    $result = $db->sql_query($sql);
    $total_bbcodes = (int) $db->sql_fetchfield('total_bbcodes');
    $db->sql_freeresult($result);

    $pagination_url = append_sid("{$phpbb_root_path}boardbbcodes.$phpEx");

// Grab BBCode tags details for display
$sql = 'SELECT bbcode_tag, bbcode_helpline, display_on_posting, bbcode_match, bbcode_tpl
       FROM ' . BBCODES_TABLE . "
          WHERE bbcode_helpline != ''
       ORDER BY bbcode_tag ASC";
$result = $db->sql_query_limit($sql, 30, $start);

while ($row = $db->sql_fetchrow($result))
{
	$template->assign_block_vars('bbcodes', array(
		'BBCODE_NAME'		=> $row['bbcode_tag'],
		'BBCODE_HELPLINE'	=> $row['bbcode_helpline'],
		'S_BBCODE_DISPLAY'	=> $row['display_on_posting'],
		'BBCODE_USAGE'	=> $row['bbcode_match'],
		'BBCODE_TPL'	=> $row['bbcode_tpl'],
	));
}
$db->sql_freeresult($result);

$template->assign_vars(array(
        'PAGINATION'           =>  generate_pagination($pagination_url, $total_bbcodes, 30, $start),
        'PAGE_NUMBER'           => on_page($total_bbcodes, 30, $start),
        'TOTAL_BBCODES'           => ($total_bbcodes == 1) ? $user->lang['BBCODE_COUNT'] : sprintf($user->lang['BBCODES_COUNT'], $total_bbcodes),
    ));

// Output page
page_header($user->lang['CUSTOM_BBCODES']);

$template->set_filenames(array(
	'body' => 'boardbbcodes_body.html')
);

page_footer();

?>