<?php
/** 
*
* @package phpBB3
* @version $Id: bots.php,v 1.0.1 2008/11/26 10:10:32 Stoker Exp $
* @copyright (c) 2008 Stoker (www.phpbb3bbcodes.com) 
* @license http://opensource.org/licenses/gpl-license.php GNU Public License 
*
*/

/**
* @ignore
*/
define('IN_PHPBB', true);
$phpbb_root_path = (defined('PHPBB_ROOT_PATH')) ? PHPBB_ROOT_PATH : './';
$phpEx = substr(strrchr(__FILE__, '.'), 1);
include($phpbb_root_path . 'common.' . $phpEx);

// Start session management
$user->session_begin();
$auth->acl($user->data);
$user->setup('common');

$start = request_var('start', 0);

    // How many bots do we have?
    $sql = 'SELECT COUNT(bot_id) AS total_bots
        FROM ' . BOTS_TABLE . '
        ORDER BY bot_id';
    $result = $db->sql_query($sql);
    $total_bots = (int) $db->sql_fetchfield('total_bots');
    $db->sql_freeresult($result);

    $pagination_url = append_sid("{$phpbb_root_path}bots.$phpEx");

// Grab BOT details for display
$sql = 'SELECT bot_id, bot_active, bot_name, bot_agent, bot_ip
	FROM ' . BOTS_TABLE . '
	ORDER BY bot_id ASC';
$result = $db->sql_query_limit($sql, 30, $start);

while ($row = $db->sql_fetchrow($result))
{
	$template->assign_block_vars('bots', array(
		'BOT_ID'		=> $row['bot_id'],
		'BOT_ACTIVE'	=> $row['bot_active'],
		'BOT_NAME'	    => $row['bot_name'],
		'BOT_AGENT'		=> $row['bot_agent'],
		'BOT_IP'		=> $row['bot_ip'],
	));
}
$db->sql_freeresult($result);

$template->assign_vars(array(
        'PAGINATION'           =>  generate_pagination($pagination_url, $total_bots, 30, $start),
        'PAGE_NUMBER'           => on_page($total_bots, 30, $start),
        'TOTAL_BOTS'           => ($total_bots == 1) ? $user->lang['BOT_COUNT'] : sprintf($user->lang['BOTS_COUNT'], $total_bots),
    ));

// Output page
page_header($user->lang['BOTSS']);

$template->set_filenames(array(
	'body' => 'bots_body.html')
);

page_footer();

?>