<?php
/**
*
* @package phpBB3
* @version $Id: donate.php 23:34 24/05/2011 Stoker $
* @copyright (c) 2005 phpBB Group
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/
define('IN_PHPBB', true);
$phpbb_root_path = (defined('PHPBB_ROOT_PATH')) ? PHPBB_ROOT_PATH : './';
$phpEx = substr(strrchr(__FILE__, '.'), 1);
include($phpbb_root_path . 'common.' . $phpEx);

// Start session management
$user->session_begin();
$auth->acl($user->data);
$user->setup('mods/donate');

$mode = request_var('mode', '');
$success_url = generate_board_url() . '/donate.php?mode=success';
$cancel_url = generate_board_url() . '/donate.php?mode=cancel';

switch ($mode)
{
	case 'success':
		page_header($user->lang['DONATION_SUCCESSFULL_TITLE']);
		$template->set_filenames(array(
			'body' => 'donate/success_body.html')
		);
	break;

	case 'cancel':
		page_header($user->lang['DONATION_CANCELLED_TITLE']);
		$template->set_filenames(array(
			'body' => 'donate/cancel_body.html')
		);
	break;

	default:
		page_header($user->lang['DONATION_TITLE']);
		$template->set_filenames(array(
			'body' => 'donate/donate_body.html')
		);
	break;
}

// Lets build a page ...
$template->assign_vars(array(
	'U_DONATE_SUCCESS'			=> $success_url,
	'U_DONATE_CANCEL'			=> $cancel_url,
));


// Set up Navlinks
$template->assign_block_vars('navlinks', array(
'FORUM_NAME' => ($user->lang['DONATEINDEX']),
'U_VIEW_FORUM' => append_sid("{$phpbb_root_path}donate.$phpEx"))
);

page_footer();

?>