<?php
/** 
*
* @package phpBB3
* @version $Id: ranks.php,v 1.0.3 2008/11/26 09:54:45 Stoker Exp $
* @copyright (c) 2008 Stoker (www.phpbb3bbcodes.com) 
* @license http://opensource.org/licenses/gpl-license.php GNU Public License 
*
*/

/**
* @ignore
*/
define('IN_PHPBB', true);
$phpbb_root_path = (defined('PHPBB_ROOT_PATH')) ? PHPBB_ROOT_PATH : './';
$phpEx = substr(strrchr(__FILE__, '.'), 1);
include($phpbb_root_path . 'common.' . $phpEx);

// Start session management
$user->session_begin();
$auth->acl($user->data);
$user->setup('common');

$start = request_var('start', 0);

    // How many ranks do we have?
    $sql = 'SELECT COUNT(rank_id) AS total_ranks
        FROM ' . RANKS_TABLE . '
        ORDER BY rank_id';
    $result = $db->sql_query($sql);
    $total_ranks = (int) $db->sql_fetchfield('total_ranks');
    $db->sql_freeresult($result);

    $pagination_url = append_sid("{$phpbb_root_path}ranks.$phpEx");

// Grab RANK tags details for display
$sql = 'SELECT rank_id, rank_title, rank_min, rank_special, rank_image
	FROM ' . RANKS_TABLE . '
	ORDER BY rank_min ASC';
$result = $db->sql_query_limit($sql, 30, $start);

while ($row = $db->sql_fetchrow($result))
{
	$template->assign_block_vars('ranks', array(
		'RANK_ID'		=> $row['rank_id'],
		'RANK_TITLE'	=> $row['rank_title'],
		'RANK_MIN'	    => $row['rank_min'],
		'RANK_SPECIAL'	=> $row['rank_special'],
		'RANK_IMAGE'	=> $row['rank_image'],
	));
}
$db->sql_freeresult($result);

$template->assign_vars(array(
        'PAGINATION'           =>  generate_pagination($pagination_url, $total_ranks, 30, $start),
        'PAGE_NUMBER'           => on_page($total_ranks, 30, $start),
        'TOTAL_RANKS'           => ($total_ranks == 1) ? $user->lang['RANK_COUNT'] : sprintf($user->lang['RANKS_COUNT'], $total_ranks),
    ));

// Output page
page_header($user->lang['RARANKS']);

$template->set_filenames(array(
	'body' => 'ranks_body.html')
);

page_footer();

?>