<?php
/** 
*
* @package phpBB3
* @version $Id: smilies.php,v 1.0.3 2008/11/26 00:00:00 Stoker Exp $
* @copyright (c) 2008 Stoker (www.phpbb3bbcodes.com) 
* @license http://opensource.org/licenses/gpl-license.php GNU Public License 
*
*/

/**
* @ignore
*/
define('IN_PHPBB', true);
$phpbb_root_path = (defined('PHPBB_ROOT_PATH')) ? PHPBB_ROOT_PATH : './';
$phpEx = substr(strrchr(__FILE__, '.'), 1);
include($phpbb_root_path . 'common.' . $phpEx);

// Start session management
$user->session_begin();
$auth->acl($user->data);
$user->setup('common');

$start = request_var('start', 0);

    // How many smilies do we have?
    $sql = 'SELECT COUNT(smiley_id) AS total_smilies
        FROM ' . SMILIES_TABLE . '
        ORDER BY smiley_id';
    $result = $db->sql_query($sql);
    $total_smilies = (int) $db->sql_fetchfield('total_smilies');
    $db->sql_freeresult($result);

    $pagination_url = append_sid("{$phpbb_root_path}smilies.$phpEx");

// Grab SMILIE tags details for display
$sql = 'SELECT smiley_id, code, emotion, smiley_url, smiley_width, smiley_height, smiley_order, display_on_posting
	FROM ' . SMILIES_TABLE . '
	ORDER BY smiley_order ASC';
$result = $db->sql_query_limit($sql, 30, $start);

while ($row = $db->sql_fetchrow($result))
{
	$template->assign_block_vars('smilies', array(
		'SMILEY_ID'				=> $row['smiley_id'],
		'CODE'		    		=> $row['code'],
		'EMOTION'	    		=> $row['emotion'],
		'SMILEY_URL'			=> $row['smiley_url'],
		'SMILEY_WIDTH'			=> $row['smiley_width'],
		'SMILEY_HEIGHT'			=> $row['smiley_height'],
		'DISPLAY_ON_POSTING'	=> $row['display_on_posting'],
		'SMILEY_ORDER'			=> $row['smiley_order'],
	));
}
$db->sql_freeresult($result);

$template->assign_vars(array(
        'PAGINATION'           =>  generate_pagination($pagination_url, $total_smilies, 30, $start),
        'PAGE_NUMBER'           => on_page($total_smilies, 30, $start),
        'TOTAL_SMILIES'           => ($total_smilies == 1) ? $user->lang['SMILEY_COUNT'] : sprintf($user->lang['SMILIES_COUNT'], $total_smilies),
    ));

// Output page
page_header($user->lang['SMSMILIES']);

$template->set_filenames(array(
	'body' => 'smilies_body.html')
);

page_footer();

?>