<?php
/** 
*
* @package phpBB3
* @version $Id: topicstats.php,v 1.0.0 2008/11/25 19:58:08 Stoker Exp $
* @copyright (c) 2008 Stoker (www.phpbb3bbcodes.com) 
* @license http://opensource.org/licenses/gpl-license.php GNU Public License 
*
*/

/**
* @ignore
*/
define('IN_PHPBB', true);
$phpbb_root_path = (defined('PHPBB_ROOT_PATH')) ? PHPBB_ROOT_PATH : './';
$phpEx = substr(strrchr(__FILE__, '.'), 1);
include($phpbb_root_path . 'common.' . $phpEx);

// Start session management
$user->session_begin();
$auth->acl($user->data);
$flist = $auth->acl_getf('f_read', true);
$flist = array_unique(array_keys($flist));
$user->setup('common');

$start = request_var('start', 0);

    // How many topics do we have?
    $sql = 'SELECT COUNT(topic_id) AS total_topics
        FROM ' . TOPICS_TABLE . ' WHERE ' . $db->sql_in_set('forum_id', $flist) . '
        ORDER BY topic_id';
    $result = $db->sql_query($sql);
    $total_topics = (int) $db->sql_fetchfield('total_topics');
    $db->sql_freeresult($result);

    $pagination_url = append_sid("{$phpbb_root_path}topicstats.$phpEx");

// Grab Topic details for display
$sql = 'SELECT topic_id, forum_id, topic_title, topic_time, topic_views, topic_replies, topic_first_poster_name, topic_first_poster_colour, topic_last_post_time, topic_last_view_time 
	FROM ' . TOPICS_TABLE . ' WHERE ' . $db->sql_in_set('forum_id', $flist) . '
	ORDER BY topic_time DESC';
$result = $db->sql_query_limit($sql, 50, $start);

while ($row = $db->sql_fetchrow($result))
{
	$template->assign_block_vars('topics', array(
		'TOPIC_ID'						=> $row['topic_id'], 
		'FORUM_ID'	    				=> $row['forum_id'],
		'TOPIC_TITLE'					=> $row['topic_title'],
		'TOPIC_TIME'                    => $user->format_date($row['topic_time']), 
		'TOPIC_VIEWS'					=> $row['topic_views'],
		'TOPIC_REPLIES'					=> $row['topic_replies'],
		'TOPIC_FIRST_POSTER_NAME'		=> $row['topic_first_poster_name'],
		'TOPIC_FIRST_POSTER_COLOUR'		=> $row['topic_first_poster_colour'],
		'TOPIC_LAST_POST_TIME'			=> $user->format_date($row['topic_last_post_time']),
		'TOPIC_LAST_VIEW_TIME'			=> $user->format_date($row['topic_last_view_time']),
	));
}
$db->sql_freeresult($result);

$template->assign_vars(array(
        'PAGINATION'           =>  generate_pagination($pagination_url, $total_topics, 50, $start),
        'PAGE_NUMBER'           => on_page($total_topics, 50, $start),
        'TOTAL_TOPICS'           => ($total_topics == 1) ? $user->lang['TOPIC_COUNT'] : sprintf($user->lang['TOPICS_COUNT'], $total_topics),
    ));

// Output page
page_header($user->lang['TOPICSTATSPAGE']);

$template->set_filenames(array(
	'body' => 'topicstats_body.html')
);

page_footer();

?>